Bug 1758161 - Director should enable RGW by default to replace Swift when deploying Ceph
Summary: Director should enable RGW by default to replace Swift when deploying Ceph
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Alpha
: 17.0
Assignee: Francesco Pantano
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks: 1810203
TreeView+ depends on / blocked
 
Reported: 2019-10-03 12:55 UTC by Giulio Fidente
Modified: 2021-11-18 15:25 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-14.3.1-0.20210821020212.c9513a5.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1810203 (view as bug list)
Environment:
Last Closed:
Target Upstream Version: Xena


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 786827 0 None MERGED Deploy RGW by default when cephadm environment is included 2021-04-23 08:48:43 UTC
OpenStack gerrit 788195 0 None MERGED Check if both swift and rgw are enabled during Upgrade Prepare 2021-05-06 12:58:29 UTC
OpenStack gerrit 789630 0 None MERGED Check if both swift and rgw are enabled during Upgrade Prepare 2021-05-10 07:31:10 UTC
Red Hat Issue Tracker OSP-2613 0 None None None 2021-11-18 15:25:55 UTC

Description Giulio Fidente 2019-10-03 12:55:24 UTC
We seem to have a relatively big number of deployments where people is deploying Ceph but keeping Swift for object storage.

While this might be wanted, it looks like many just don't enable RGW (to replace Swift) despite docs having this documented as just one additional step in the deployment guide [1].

We need to either review the docs to make it obvious that "object storage" is RGW and will just replace Swift or change the code for RGW to be deployed by default when Ceph is enabled.

1. https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html/deploying_an_overcloud_with_containerized_red_hat_ceph/enable-ceph-overcloud#ceph-rgw

Comment 3 Gregory Charot 2020-03-04 17:18:44 UTC
Pushing proper integration to 17. Changing a default should be designed with extra considerations.

In the mean time I think we can be more explicit in the docs.


Note You need to log in before you can comment on or make changes to this bug.